Get All Auth Config for Gateway
Endpoint: GET /api/gateway/config/auth
Retrieves all auth configuration settings for Gateway.
Response
- Returns an array of gateway objects, each including its id, authentication type, application ID associated with, and more configuration details.
- Returns only the auth configs you have read access to.
- For auth configs that use API keys, the
apiKeysfield returns each key masked as***. The actual key values are never returned.
Examples
Get all auth config for Gateway
Request
curl -X 'GET' \
'https://<YOUR-SERVER-URL>/api/gateway/config/auth' \
-H 'accept: application/json' \
-H 'X-Authorization: <TOKEN>'
Response
[
{
"id": "no-auth",
"authenticationType": "NONE",
"passthrough": false,
"fallbackToDefaultAuth": false,
"tokenInWorkflowInput": false,
"applicationId": "643cc628-5a73-47bd-8a0c-7d6d58da4fdd",
"createdBy": "john.doe@acme.com",
"orgId": "fd7s"
},
{
"id": "gateway",
"authenticationType": "NONE",
"passthrough": false,
"fallbackToDefaultAuth": false,
"tokenInWorkflowInput": false,
"applicationId": "643cc628-5a73-47bd-8a0c-7d6d58da4fdd",
"createdBy": "john.doe@acme.com",
"updatedBy": "john.doe@acme.com",
"orgId": "fd7s"
}
]